﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp2.0</TargetFramework>
    <IsTestProject>false</IsTestProject>
    <RootNamespace>Sila2.Examples.MockShaker.ClientApp</RootNamespace>
    <AssemblyName>Sila2.Examples.MockShaker.ClientApp</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="google.protobuf" Version="3.6.1" />
    <PackageReference Include="Sila2.Tools" Version="[$(Sila2Version)]" />
    <PackageReference Include="Grpc.Core" Version="$(GrpcCoreVersion)"/>
    <PackageReference Include="NLog" Version="$(NLogVersion)" />
    <PackageReference Include="Common.Logging.NLog41" Version="3.4.1" />
  </ItemGroup>
    
  <ItemGroup>
    <ProjectReference Include="..\..\..\src\Sila2\Sila2.csproj" />
    <ProjectReference Include="..\..\..\src\Sila2.Utils\Sila2.Utils.csproj" />
    <ProjectReference Include="..\MockShaker\MockShaker.csproj" />
  </ItemGroup>
</Project>
